#include <QtGui>
#include <QtCore>

#include "ui_motdepassedialog.h"

class motdialog : public QWidget, public Ui::MotdepasseDialog
{
Q_OBJECT

public:
  motdialog();
  ~motdialog();
  //QStringList listmot;
  QString m_host;
  QString m_utilisateur;
  //QString mot;
  //QString chiffre;
  //QString bazar;
  QString m_nouveauMot;
  //int chiffreint;
  bool CreateConnection();

public slots:
  void mafonctioncryptage();
  void changeutilisateur();
  void changemachine();
  void messageFermeture();

};
